<?
//if(mysql_num_rows(mysql_query("SELECT (`id`) FROM `kolhoz_user` WHERE `ip`='$ip' "))!=0)
//{
//echo '<div class="block">';
//echo '<center><font color="red"><b> Такой IP зарегистрирован! </b></font></center>';
//echo '</div>';
//echo "<div class='block'>&raquo; <a href='/'>На главную</a></div>";
//echo "<div class='smalltext'><center>Если вы все же не зарегистрированы в игре, то пишите на почту vipsrf1986@gmail.com</center></div>";
//
//exit;
//}
if(isset($_POST['nick']) && isset($_POST['password']) && isset($_POST['password2']) && isset($_POST['email']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' LIMIT 1"),0)!=0)err_game("Этот ник уже зарегистрирован. Выберите другой!");
elseif( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))err_game('В нике присутствуют запрещенные символы');
elseif (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))err_game('Разрешается использовать символы только русского или только английского алфавита');
elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))err_game('Запрещено использовать пробел в начале и конце ника');
elseif (strlen2($_POST['nick'])<4)err_game('Короткий ник');
elseif (strlen2($_POST['nick'])>32)err_game('Длина ника превышает 32 символа');
elseif (!isset($_POST['email']) || $_POST['email']==NULL)err_game('Необходимо ввести E-mail');
elseif (!preg_match('#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui',$_POST['email']))err_game('Неверный формат E-mail');
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `email` = '".my_esc($_POST['email'])."'"),0)!=0)err_game("Пользователь с этим E-mail уже зарегистрирован");
elseif (strlen2($_POST['password'])<6)err_game('По соображениям безопасности пароль не может быть короче 6-ти символов');
elseif(strlen2($_POST['password'])>32)err_game('Длина пароля превышает 32 символа');
elseif ($_POST['password']!=$_POST['password2'])err_game('Пароли не совпадают');
else
{
if($_POST['pol']==0)$pol='0';else $pol='1';
mysql_query("INSERT INTO `kolhoz_user` SET `nick` = '".my_esc($_POST['nick'])."', `password` = '".md5($_POST['password'])."', `pol` = '$pol', `email` = '".my_esc($_POST['email'])."',`money` = '10000', `rubies` = '100', `mod` = '0', `status` = '".(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"), 0)==0?3:0)."'");
$_SESSION['id_user']=mysql_insert_id();
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '".$ku['id']."', `id_kont` = '0', `msg` = 'Добро пожаловать в игру Ганджубасовая Ферма. У нас вы можете садить табак, продавать его на Черном Рынке или же торговать шапками. Для развития вам выдано 10000 монет и 100 золото, но их можно также купить в банке. Спасибо за регистрацию.[color=red]С Ув. Администрация игры[/color]', `time` = '$time', `type` = 'to'");

header("Location:/?myfarm");
exit;
}
}
?>
<div class="event">
<div><h1>Регистрация</h1></div>
</div>
<div class="content">
<div class="block">
<center><font color="RED">Регистрация модерируемая</font></center>
<form method="post"><ul>
<li>
<label>Ник:<br>
<input type="text" value="" name="nick"> <br/>
<div class="smalltext">Внимание! После регистрации изменить ник будет невозможно.</div>
</label>
</li>
<li class="pt">
<label>Пол:<br>
<select name='pol'>
<option value='1'>Мужской</option>
<option value='0'>Женский</option>
</select>
</label>
</li>
<li class="pt">
<label>Пароль:<br>
<input type="password" value="" name="password">
</label>
</li>
<li class="pt">
<label>Повтор пароля:<br>
<input type="password" value="" name="password2">
</label>
</li>
<li class="pt">
<label>E-mail:<br>
<input type="text" value="" name="email"> </br>
<div class="smalltext">Email необходим для восстановления пароля. 
Если Вы его укажете неверно, то восстановление пароля будет невозможно.</div>
</label>
</li>
<li class="pt">
<input type="submit" value="Сохранить">
</li>
</ul>
</form>
<div class="smalltext">Регистрируясь в игре, вы тем самым подтверждаете, что вам есть 18 лет.</div>
</div>
<div class="block event">
<img width="16" height="16" src="images/icons/back.png" alt="o"> <a href="/index.php">Главная</a>
</div>
</div>
<?
echo "<div class='block event'>";
echo "Онлайн <span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `date_last` > '".(time()-600)."'"), 0)."</span>, регистраций
<span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"), 0)."</span></div>";
echo "</div>";
echo "<div></div><div style='text-align:center;' class='pt small minor'>Добавь в закладки";
echo " <a href='http://$_SERVER[HTTP_HOST]' class='epic'><span>$_SERVER[HTTP_HOST]</span></a><br>";
exit;
?>